Skip to main content
GET
/
v1
/
rfqs
/
{id}
Get Rfq
curl --request GET \
  --url https://api.lab.fieldnode.dev/v1/rfqs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "state": "DRAFT",
  "partId": "<string>",
  "quantity": 123,
  "maxLeadTime": 123,
  "deadlineTime": "2023-11-07T05:31:56Z",
  "expireTime": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Rfq id.

Response

The request has succeeded.

id
string
required

Rfq id.

state
enum<string>
required

State of the RFQ.

Available options:
DRAFT,
ONGOING,
RESPONDED,
REVIEW,
UNFULFILLED,
SUCCESSFUL,
QUOTE_RECEIVED
partId
string
required

Part id this RFQ is for.

quantity
integer<int32>

Requested quantity.

maxLeadTime
integer<int32>

Maximum lead time in days.

deadlineTime
string<date-time>

Deadline for offers.

expireTime
string<date-time>

Time when the RFQ expires.